curl --request GET \
--url https://api.example.com/api/v2/projects/{project_id}/evaluation-criteria/id/{criteria_id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "<string>",
"target_type": "prompt",
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"latest_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_enabled": true,
"llm_eval_enabled": true
}Retrieve an evaluation criteria’s configuration by ID. Use to inspect criteria settings or get the latest version ID.
curl --request GET \
--url https://api.example.com/api/v2/projects/{project_id}/evaluation-criteria/id/{criteria_id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "<string>",
"target_type": "prompt",
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"latest_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_enabled": true,
"llm_eval_enabled": true
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
EvaluationCriteriaInfo(id: uuid.UUID, name: str, type: str, target_type: shared.common.TargetType, target_id: uuid.UUID, latest_version_id: Optional[uuid.UUID], is_enabled: bool, llm_eval_enabled: bool)